### Type parameters

- #### T: <internal>.Stream

### Hierarchy

- Abortable
  - StreamOptions
    - <internal>.ReadableOptions
    - <internal>.WritableOptions
    - <internal>.internal.ReadableOptions
    - <internal>.internal.WritableOptions

## Index

### Properties

- autoDestroy
- emitClose
- highWaterMark
- objectMode
- signal

### Methods

- construct
- destroy

## Properties

### Optional autoDestroy

autoDestroy?: boolean

### Optional emitClose

emitClose?: boolean

### Optional highWaterMark

highWaterMark?: number

### Optional objectMode

objectMode?: boolean

### Optional signal

signal?: AbortSignal

Inherited from Abortable.signal

When provided the corresponding `AbortController` can be used to cancel an asynchronous action.

## Methods

### Optional construct

- construct(this: T, callback: (error?: <internal>.Error) => void): void

- #### Parameters

  - ##### this: T

  - ##### callback: (error?: <internal>.Error) => void

    - - (error?: <internal>.Error): void

      - #### Parameters

        - ##### Optional error: <internal>.Error

        #### Returns void

### Optional destroy

- destroy(this: T, error: <internal>.Error, callback: (error: <internal>.Error) => void): void

- #### Parameters

  - ##### this: T

  - ##### error: <internal>.Error

  - ##### callback: (error: <internal>.Error) => void

    - - (error: <internal>.Error): void

      - #### Parameters

        - ##### error: <internal>.Error

        #### Returns void

Generated using TypeDoc